module JamRuby
  class DailySessionEmailer
    extend Resque::Plugins::JamLonelyJob

    @queue = :scheduled_daily_session_emailer
    @@log = Logging.logger[DailySessionEmailer]

    def self.perform
      @@log.debug("waking up")
      EmailBatchScheduledSessions.send_daily_session_batch
      @@log.debug("done")
    end

  end
end
